Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model
Class TaskImpl

    java.lang.Object
      org.jbpm.services.task.impl.model.TaskImpl

All Implemented Interfaces:
  Externalizable, Serializable, Task, org.kie.internal.task.api.model.InternalTask

    @Entity
    public class TaskImpl

extends Object
implements org.kie.internal.task.api.model.InternalTask

See Also:
  Serialized Form

Constructor Summary
`TaskImpl()`

Method Summary
`boolean` | `equals(Object obj)`
`Short` | `getArchived()`
`org.kie.internal.task.api.model.Deadlines` | `getDeadlines()`
`org.kie.internal.task.api.model.Delegation` | `getDelegation()`
`List<I18NText>` | `getDescriptions()`
`String` | `getFormName()`
`Long` | `getId()`
`List<I18NText>` | `getNames()`
`PeopleAssignments` | `getPeopleAssignments()`
`int` | `getPriority()`
`List<I18NText>` | `getSubjects()`
`org.kie.internal.task.api.model.SubTasksStrategy` | `getSubTaskStrategy()`
`TaskData` | `getTaskData()`
`String` | `getTaskType()`
`int` | `getVersion()`
`int` | `hashCode()`
`Boolean` | `isArchived()`
`void` | `readExternal(ObjectInput in)`
`void` | `setArchived(Boolean archived)`
`void` | `setDeadlines(org.kie.internal.task.api.model.Deadlines deadlines)`
`void` | `setDelegation(org.kie.internal.task.api.model.Delegation delegation)`
`void` | `setDescriptions(List<I18NText> descriptions)`
`void` | `setFormName(String formName)`
`void` | `setId(long id)`
`void` | `setNames(List<I18NText> names)`
`void` | `setPeopleAssignments(PeopleAssignments peopleAssignments)`
`void` | `setPriority(int priority)`
`void` | `setSubjects(List<I18NText> subjects)`
`void` | `setSubTaskStrategy(org.kie.internal.task.api.model.SubTasksStrategy subTaskStrategy)`
`void` | `setTaskData(TaskData taskData)`
`void` | `setTaskType(String taskType)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskImpl

    public TaskImpl()

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getId

    public Long getId()

  Specified by:
    `getId` in interface `Task`

### setId

    public void setId(long id)

  Specified by:
    `setId` in interface `org.kie.internal.task.api.model.InternalTask`

### isArchived

    public Boolean isArchived()

  Specified by:
    `isArchived` in interface `org.kie.internal.task.api.model.InternalTask`

### setArchived

    public void setArchived(Boolean archived)

  Specified by:
    `setArchived` in interface `org.kie.internal.task.api.model.InternalTask`

### getVersion

    public int getVersion()

  Specified by:
    `getVersion` in interface `org.kie.internal.task.api.model.InternalTask`

### getPriority

    public int getPriority()

  Specified by:
    `getPriority` in interface `Task`

### setPriority

    public void setPriority(int priority)

  Specified by:
    `setPriority` in interface `org.kie.internal.task.api.model.InternalTask`

### getNames

    public List<I18NText> getNames()

  Specified by:
    `getNames` in interface `Task`

### setNames

    public void setNames(List<I18NText> names)

  Specified by:
    `setNames` in interface `org.kie.internal.task.api.model.InternalTask`

### getSubjects

    public List<I18NText> getSubjects()

  Specified by:
    `getSubjects` in interface `Task`

### setSubjects

    public void setSubjects(List<I18NText> subjects)

  Specified by:
    `setSubjects` in interface `org.kie.internal.task.api.model.InternalTask`

### getDescriptions

    public List<I18NText> getDescriptions()

  Specified by:
    `getDescriptions` in interface `Task`

### setDescriptions

    public void setDescriptions(List<I18NText> descriptions)

  Specified by:
    `setDescriptions` in interface `org.kie.internal.task.api.model.InternalTask`

### getPeopleAssignments

    public PeopleAssignments getPeopleAssignments()

  Specified by:
    `getPeopleAssignments` in interface `Task`

### setPeopleAssignments

    public void setPeopleAssignments(PeopleAssignments peopleAssignments)

  Specified by:
    `setPeopleAssignments` in interface `org.kie.internal.task.api.model.InternalTask`

### getDelegation

    public org.kie.internal.task.api.model.Delegation getDelegation()

  Specified by:
    `getDelegation` in interface `org.kie.internal.task.api.model.InternalTask`

### setDelegation

    public void setDelegation(org.kie.internal.task.api.model.Delegation delegation)

  Specified by:
    `setDelegation` in interface `org.kie.internal.task.api.model.InternalTask`

### getTaskData

    public TaskData getTaskData()

  Specified by:
    `getTaskData` in interface `Task`

### setTaskData

    public void setTaskData(TaskData taskData)

  Specified by:
    `setTaskData` in interface `org.kie.internal.task.api.model.InternalTask`

### getDeadlines

    public org.kie.internal.task.api.model.Deadlines getDeadlines()

  Specified by:
    `getDeadlines` in interface `org.kie.internal.task.api.model.InternalTask`

### setDeadlines

    public void setDeadlines(org.kie.internal.task.api.model.Deadlines deadlines)

  Specified by:
    `setDeadlines` in interface `org.kie.internal.task.api.model.InternalTask`

### getTaskType

    public String getTaskType()

  Specified by:
    `getTaskType` in interface `Task`

### setTaskType

    public void setTaskType(String taskType)

  Specified by:
    `setTaskType` in interface `org.kie.internal.task.api.model.InternalTask`

### getFormName

    public String getFormName()

  Specified by:
    `getFormName` in interface `org.kie.internal.task.api.model.InternalTask`

### setFormName

    public void setFormName(String formName)

  Specified by:
    `setFormName` in interface `org.kie.internal.task.api.model.InternalTask`

### getArchived

    public Short getArchived()

  Specified by:
    `getArchived` in interface `org.kie.internal.task.api.model.InternalTask`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getSubTaskStrategy

    public org.kie.internal.task.api.model.SubTasksStrategy getSubTaskStrategy()

  Specified by:
    `getSubTaskStrategy` in interface `org.kie.internal.task.api.model.InternalTask`

### setSubTaskStrategy

    public void setSubTaskStrategy(org.kie.internal.task.api.model.SubTasksStrategy subTaskStrategy)

  Specified by:
    `setSubTaskStrategy` in interface `org.kie.internal.task.api.model.InternalTask`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.